package com.bonus.canteen.core.supply.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class DrpQuoteInquiryPicVO implements Serializable {
   private Long id;
   @ApiModelProperty("询价或招标id")
   private String inquiryId;
   @ApiModelProperty("供应商ID")
   private Long supplierId;
   private String imgUrl;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public Long getId() {
      return this.id;
   }

   public String getInquiryId() {
      return this.inquiryId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpQuoteInquiryPicVO(id=" + var10000 + ", inquiryId=" + this.getInquiryId() + ", supplierId=" + this.getSupplierId() + ", imgUrl=" + this.getImgUrl() + ")";
   }
}
